Skip to content

General Information

All operations require authentication.

7 operationsv1/license/office · /license/officePrepaid
Agent setup

List tenantsAlpha

GET
/1.0/license/office

Returns the service names of the tenants.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/office \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a tenantAlpha

GET
/1.0/license/office/{serviceName}

Returns the display name, contact details, service type, status and creation date of the tenant, and whether the Microsoft Customer Agreement (MCA) is accepted.

Path parameters

serviceName
required
string

Service name

Response

200OfficeTenantNativeWithIAMsuccessful operation
address
string

Contact's address line

city
string

Contact's city

creationDate
read-only
stringdate-time

Creation date

displayName
string

Tenant's display name

firstName
string

Contact's first name

iam
read-only
ResourceMetadata

IAM resource metadata

lastName
string

Contact's last name

mcaAgreed
boolean

MCA acceptance status

phone
phoneNumber

Primary phone number

serviceName
read-only
string

Internal service name

serviceType
read-only
ServiceTypeEnum

Tenant's service type

ValuespayAsYouGoprepaid
status
read-only
ServiceStateEnum

Tenant's status

ValuescreatinginMaintenanceoksuspended
zipCode
string

Contact's zip code

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "string", "city": "string", "creationDate": "2024-01-01T12:00:00Z", "displayName": "string", "firstName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastName": "string", "mcaAgreed": true, "phone": "string", "serviceName": "string", "serviceType": "payAsYouGo", "status": "creating", "zipCode": "string"}

Update a tenantAlpha

PUT
/1.0/license/office/{serviceName}

Updates the display name and the contact details of the tenant: first name, last name, address, zip code, city and phone number.

Path parameters

serviceName
required
string

Service name

Request body (required)

address
string

Contact's address line

city
string

Contact's city

creationDate
read-only
stringdate-time

Creation date

displayName
string

Tenant's display name

firstName
string

Contact's first name

lastName
string

Contact's last name

mcaAgreed
boolean

MCA acceptance status

phone
phoneNumber

Primary phone number

serviceName
read-only
string

Internal service name

serviceType
read-only
ServiceTypeEnum

Tenant's service type

ValuespayAsYouGoprepaid
status
read-only
ServiceStateEnum

Tenant's status

ValuescreatinginMaintenanceoksuspended
zipCode
string

Contact's zip code

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Get service informationProduction

GET
/1.0/license/office/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The unique identifier of your Office service

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/license/office/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The unique identifier of your Office service

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/office/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Get the parent tenantAlpha

GET
/1.0/license/officePrepaid/{serviceName}/parentTenant

Returns the tenant of the prepaid user: display name, contact details, service type, status, and whether the Microsoft Customer Agreement (MCA) is accepted.

Path parameters

serviceName
required
string

Service name

Response

200OfficeTenantNativesuccessful operation
address
read-only
string

Contact's address line

city
read-only
string

Contact's city

creationDate
read-only
stringdate-time

Creation date

displayName
read-only
string

Tenant's display name

firstName
read-only
string

Contact's first name

lastName
read-only
string

Contact's last name

mcaAgreed
read-only
boolean

MCA acceptance status

phone
read-only
phoneNumber

Primary phone number

serviceName
read-only
string

Tenant's service name

serviceType
read-only
ServiceTypeEnum

Tenant's service type

ValuespayAsYouGoprepaid
status
read-only
ServiceStateEnum

Tenant's status

ValuescreatinginMaintenanceokreopeningsuspendedsuspending
zipCode
read-only
string

Contact's zip code

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/parentTenant \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "string", "city": "string", "creationDate": "2024-01-01T12:00:00Z", "displayName": "string", "firstName": "string", "lastName": "string", "mcaAgreed": true, "phone": "string", "serviceName": "string", "serviceType": "payAsYouGo", "status": "creating", "zipCode": "string"}

Update the parent tenantAlpha

PUT
/1.0/license/officePrepaid/{serviceName}/parentTenant

Updates the display name of the tenant of the prepaid user.

Path parameters

serviceName
required
string

Service name

Request body (required)

displayName
string

Parent tenant display name

serviceName
read-only
string

Parent tenant name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/officePrepaid/{serviceName}/parentTenant \
  -H "authorization: Bearer $OVH_TOKEN"